## slony1-2 2.2.11

=== tools/Makefile ===
# ----------
# Makefile for doc
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = tools
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

SUBDIRS = altperl

DISTFILES = Makefile slony_setup.pl generate_syncs.sh slony1_extract_schema.sh

all install installdirs clean distclean maintainer-clean:
	for subdir in $(SUBDIRS) ; do \
          $(MAKE) -C $$subdir $@ || exit; \
        done


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done
	for subdir in $(SUBDIRS) ; do \
		$(MAKE) -C $$subdir distdir || exit; \
	done

=== src/parsestatements/Makefile ===
slony_subdir = src/parsestatements
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

CPPFLAGS:=$(CPPFLAGS_CLIENT)

PROG=test-scanner
FLEX=flex

ifeq ($(PORTNAME), win32)
SUFFIX=.win32
endif

all: $(PROG) test

scanner.o: scanner.c scanner.h

$(PROG): $(PROG).o scanner.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $(PROG) test-scanner.c scanner.o

test-scanner.o: test-scanner.c

test: test-scanner
	./test-scanner < /dev/null > emptytestresult.log
#	cmp ./emptytestresult.log emptytestresult.expected$(SUFFIX)
	./test-scanner < ./test_sql.sql > test_sql.log
#	cmp ./test_sql.log ./test_sql.expected$(SUFFIX)
	./test-scanner < ./cstylecomments.sql > cstylecomments.log
#	cmp ./cstylecomments.log ./cstylecomments.expected$(SUFFIX)

install:

maintainer-clean: clean
distclean: clean

clean:
	rm -f scanner.o test-scanner test-scanner.o
	rm -f *.log

=== src/slony_logshipper/Makefile ===
# ----------
# Makefile for src/slony_logshipper
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src/slony_logshipper
slony_top_builddir = ../..
SLFILEDESC="Slony command interpreter"
include $(slony_top_builddir)/Makefile.global
CPPFLAGS:=$(CPPFLAGS_CLIENT)
ifeq ($(PORTNAME), aix)
  CFLAGS += -D_LARGE_FILES
endif

CFLAGS += -I$(slony_top_builddir) -DPGSHARE="\"$(pgsharedir)\"" 


PROG		= slony_logshipper

ifeq ($(PORTNAME), win)
PROG            = slony_logshipper.exe
LDFLAG		= $(LDFLAG) -lpgport
endif
ifeq ($(PORTNAME), win32)
PROG            = slony_logshipper.exe
LDFLAG		= $(LDFLAG) -lpgport
endif

OBJS		= 					\
	slony_logshipper.o			\
	dbutil.o					\
	ipcutil.o					\
	parser.o $(WIN32RES)		\
	../parsestatements/scanner.o \
	scan.o

DISTFILES = Makefile $(wildcard *.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =					\
	$(PROG)


all:	$(ALL)

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROG)
slony_logshipper.o:			slony_logshipper.c slony_logshipper.h
dbutil.o:			dbutil.c slony_logshipper.h
parser.o:			parser.c scan.c
parser.c:			parser.y slony_logshipper.h
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	mv -f y.tab.c parser.c
else
	@echo "Missing yacc $< $@"
	@exit 1
endif

scan.c:	SCANNER_HEADER=scan.h
scan.c:				scan.l slony_logshipper.h
ifdef FLEX 
	$(FLEX) $(FLEXFLAGS) --header-file=$(SCANNER_HEADER)  -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean:	clean
	rm -f parser.c scan.c y.tab.h

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== debian/changelog ===
slony1-2 (2.2.11-6) unstable; urgency=medium

  * Drop usage of ${postgresql:Depends}, does not work without --with pgxs.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Sep 2024 10:58:12 +0200

slony1-2 (2.2.11-5) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * DH 13.
  * Drop dependency on lsb-base.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 15:11:28 +0200

slony1-2 (2.2.11-4) unstable; urgency=medium

  * Fix FTBFS with gcc-14. (Closes: #1075516)
  * Bump debian/pgversions to 11+.

 -- Christoph Berg <myon@debian.org>  Sun, 28 Jul 2024 18:10:23 +0300

slony1-2 (2.2.11-3) unstable; urgency=medium

  * Revert usage of ${postgresql:Depends}, needs more pg_buildext.

 -- Christoph Berg <myon@debian.org>  Fri, 22 Sep 2023 13:49:30 +0200

slony1-2 (2.2.11-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:55:01 +0200

slony1-2 (2.2.11-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Nov 2022 16:21:33 +0100

slony1-2 (2.2.10-5) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Oct 2022 10:25:57 +0100

slony1-2 (2.2.10-4) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * DH 10, and disable dh_autoreconf.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Oct 2022 16:14:08 +0200

=== debian/control ===
Source: slony1-2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 debhelper-compat (= 13),
 docbook (>= 4.2),
 docbook-dsssl,
 docbook-utils,
 docbook-xml (>= 4.2),
 docbook2x (>= 0.8.8-4),
 flex,
 ghostscript,
 groff,
 libjpeg-turbo-progs | libjpeg-progs,
 libpq-dev,
 netpbm,
 openjade,
 opensp,
 postgresql-server-dev-all (>= 148~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://slony.info/
Vcs-Git: https://salsa.debian.org/postgresql/slony1-2.git
Vcs-Browser: https://salsa.debian.org/postgresql/slony1-2
XS-Testsuite: autopkgtest

Package: slony1-2-bin
Architecture: any
Depends:
 logrotate,
 postgresql-common,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 libdbd-pg-perl,
 ntp | time-daemon,
 ${module:Recommends},
Suggests:
 libpg-perl,
 slony1-2-doc,
Provides:
 slony1-bin,
Conflicts:
 slony1-bin,
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: slony1-2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 slony1-doc,
Conflicts:
 slony1-doc,
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

Package: postgresql-17-slony1-2
Architecture: any
Depends:
 postgresql-17,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 slony1-2-bin,
Provides:
 postgresql-17-slony1,
Description: replication system for PostgreSQL: PostgreSQL 17 server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 17 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-2-bin.  This package is useless without slony1-2-bin installed
 somewhere in the network.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

# reverse the list of supported versions to have the default version first in module:Recommends
supported_versions := $(shell pg_buildext supported-versions | tac)

%:
	dh $@

clean: debian/control prep
.PHONY: debian/control

.PHONY: prep
prep:
	rm -f debian/postgresql-?.?-slony1-2.install
	for v in $(supported_versions); do echo "usr/lib/postgresql/$$v/lib/" >debian/postgresql-$$v-slony1-2.install || exit; done

override_dh_autoreconf:
	# skip autoreconf, doesn't work

common_configure_options = --with-pgsharedir=/usr/share/slony1 --sysconfdir=/etc/slony1

override_dh_auto_configure:
	dh_auto_configure -- $(common_configure_options) --with-docs --with-docdir=/NOTUSED --with-perltools --with-perlsharedir=/usr/share/slony1 --with-pgpkglibdir=/tmp
	for v in $(supported_versions); do ( \
		mkdir -p build-$$v/src/backend && \
		ln -s $(CURDIR)/config build-$$v/ && \
		ln -s $(CURDIR)/src/backend/Makefile build-$$v/src/backend/ && \
		cd build-$$v/ && \
		../configure $(common_configure_options) --with-pgconfigdir=/usr/lib/postgresql/$$v/bin --with-pgpkglibdir=/usr/lib/postgresql/$$v/lib \
	) || exit; done

altperl_scripts = slon_kill slon_start slon_status slon_watchdog slon_watchdog2 slonik_build_env \
	slonik_add_node slonik_create_set slonik_drop_node slonik_drop_sequence slonik_drop_set slonik_drop_table slonik_execute_script \
	slonik_failover slonik_init_cluster slonik_merge_sets slonik_move_set slonik_print_preamble slonik_restart_node \
	slonik_store_node slonik_subscribe_set slonik_uninstall_nodes slonik_unsubscribe_set slonik_update_nodes \
	slony_show_configuration

override_dh_auto_build:
	+dh_auto_build
	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend so VPATH=$(CURDIR)/src/backend || exit; done
	for f in $(altperl_scripts); do \
	  sed "s/@program@/$$f/g;s/@PROGRAM@/\U$$f/g" debian/altperl.1.in >debian/$$f.1 || exit $?; \
	done

override_dh_auto_clean:
	test ! -f GNUmakefile || $(MAKE) distclean
	rm -f doc/adminguide/slony.xml
	rm -f $(altperl_scripts:%=debian/%.1)
	for v in $(supported_versions); do rm -rf build-$$v/ || exit; done
	rm -f tests/random_number tests/random_string
	rm -f 'doc/adminguide/slony_logshipping.<1' # bogus file in 2.2.0

override_dh_auto_install:
	+dh_auto_install
	for v in $(supported_versions); do $(MAKE) -C build-$$v/src/backend installso VPATH=$(CURDIR)/src/backend DESTDIR=$(CURDIR)/debian/tmp || exit; done
	(echo -n "module:Recommends="; for v in $(supported_versions); do echo -n "postgresql-$$v-slony1-2 |"; done) >>debian/slony1-2-bin.substvars
	rm -rf debian/tmp/NOTUSED
	rm -f debian/tmp/etc/slony1/slon_tools.conf-sample

override_dh_installinit:
	dh_installinit --name=slony1

override_dh_installlogrotate:
	dh_installlogrotate --name=slony1

override_dh_installdocs:
	dh_installdocs $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl gitignore HTML\.index Makefile)

override_dh_compress:
	dh_compress -X\.pl -X\.sh
